Class Index | File Index

## Classes

- _global_
- M
- M.ActionSheetDialogView
- M.AlertDialogView
- M.Application
- M.Base64
- M.ButtonGroupView
- M.ButtonView
- M.ConfirmDialogView
- M.ContainerView
- M.Controller
- M.Cypher
- M.DataProvider
- M.Date
- M.DateValidator
- M.EmailValidator
- M.Environment
- M.EventDispatcher
- M.FormView
- M.GridView
- M.I18N
- M.ImageView
- M.LabelView
- M.ListItemView
- M.ListView
- M.LoaderView
- M.LocalStorageProvider
- M.Logger
- M.Math
- M.Model
- M.ModelAttribute
- M.ModelRegistry
- M.NotMinusValidator
- M.NumberValidator
- M.Object
- M.Observable
- M.PageView
- M.PhoneValidator
- M.PresenceValidator
- M.RecordManager
- M.RemoteStorageProvider
- M.Request
- M.ScrollView
- M.SearchBarView
- M.SelectionListItemView
- M.SelectionListView
- M.SHA256
- M.TabBarItemView
- M.TabBarView
- M.TextFieldView
- M.ToggleView
- M.ToolbarView
- M.UrlValidator
- M.Validator
- M.View
- M.ViewManager
- M.WebSqlProvider

# Class M.DataProvider

Extends M.Object.
Wraps access to any defined data source and is the only interface for a model to access this data.
Defined in: data_provider.js.

Class Summary
Constructor Attributes | Constructor Name and Description
--- | ---
| M.DataProvider()

Field Summary
Field Attributes | Field Name and Description
--- | ---
| type The type of this object.

Method Summary
Method Attributes | Method Name and Description
--- | ---
| check(obj, prop) Checks if object has certain property.
| del() Interface method.
| find(query) Interface method.
| save() Interface method.

Methods borrowed from class M.Object:
  bindToCaller, create, destroy, extend, get, include, set

Class Detail
M.DataProvider()
Field Detail
{String} type
The type of this object.
Method Detail
{Booleans} check(obj, prop)
Checks if object has certain property.

Parameters:
{obj} obj
  The object to check.
{String} prop
  The property to check for.

Returns:
  {Booleans} Returns YES (true) if object has property and NO (false) if not.

del()
Interface method. Implemented by specific data provider.

find(query)
Interface method. Implemented by specific data provider.

Parameters:
query

save()
Interface method. Implemented by specific data provider.

Documentation generated by JsDoc Toolkit 2.4.0 on Wed Dec 08 2010 15:07:29 GMT+0100 (MEZ)